# Magento 2 Google XML Sitemap FREE by Mageplaza

**Google XML Sitemap for Magento 2** helps Google search bots find all every corner on your website to index, bring in potential benefits for your SEO strategy. Also, the HTML sitemap will help users more easily search for information on your site than only use Magento default.


## What is XML Sitemap? 

**XML Sitemap** (the map of a website) is a text file that contains all of the URL (path) of a site. It can also contain metadata about each URL which help notify Google when it has been recently updated. Sitemap' s entire work includes guiding for the search engines to crawl your website effectively and updating the changes on your site, such as adding a new page or changing the current web page.

### There are two types of sitemap:

**XML Sitemap** is created for working with search engines such as Google. It tells the search engines about the structure of the website, the updating frequency of the page's content and which page would be more priority in search results.

The second type is **HTML Sitemap** used mainly for the users to know the site's scheme so that they can quickly search for more information. The more detailed and well-organized your sitemap is, the more attractive and friendly it is to users. 



## 1. Documentation

- [Installation guide](https://www.mageplaza.com/install-magento-2-extension/)
- [User Guide](http://docs.mageplaza.com/seo-ultimate/index.html?highlight=sitemap#html-sitemap)
- [Download from our Live site](https://www.mageplaza.com/magento-2-google-xml-sitemap/)
- [Get Free Support](https://github.com/mageplaza/magento-2-google-xml-sitemap/issues)
- Get premium support from Mageplaza: [Purchase Support package](https://www.mageplaza.com/magento-2-extension-support-package/)
- [Contribute on Github](https://github.com/mageplaza/magento-2-google-xml-sitemap)
- [Releases](https://github.com/mageplaza/magento-2-google-xml-sitemap/releases)
- [License](https://www.mageplaza.com/LICENSE.txt)


## 2. How to install


## ✓ Install via composer (recommend)
Run the following command in Magento 2 root folder:

```
composer require mageplaza/module-sitemap
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```


## What are SEO Sitemap features?

### Improved XML sitemap

The default Magento 2 do supports XML sitemap built automatically; however, store admins can't include or exclude own objects such as products, categories or pages within their site, which hinder the good understanding of Google. 
Fortunately, SEO Sitemap module optimizes the XML sitemap with a ton of improved features such as: removing the link of the CMS page using for homepage; enabling additional links; specifying the frequency of updates for each type of pages and setting the priority of importance for a group of links.

![magento 2 google xml sitemap](https://i.imgur.com/xwtA1L4.png)

### Add HTML sitemap

This extension provides an HTML sitemap which Magento 2 default do not serve. With HTML sitemap, your customer' experience is much better since your site is well-organized, helping customers find products with ease. HTML sitemap can include/exclude the following link types: Categories; Products; CMS-pages. 
It can also limit the number of the products displayed in the sitemap. Besides, store admin could add the sitemap link to footer so that your store' visitors can refer these link of your' site structure quickly to get the product they want. 

Let's take a look of how is Sitemap configuration displayed in SEO plugin backend

![magento 2 html sitemap](https://i.imgur.com/SKA7bkn.png)

![magento 2 html sitemap](https://cdn.mageplaza.com/media/general/zWKwanO.png)


![google sitemap](https://lh4.googleusercontent.com/jOjISyVERwnPAhkPM6IqEWwojmBr-ST59ldUekAX1rp7RL9pNxLH38NC-viGNJK1x_fTKAij88huwt-wNk1lBc567tc_WkgyE9H04mkBGKJCdjT-fWOyJPVhSHvNMsVLHUQ9gQI3)

## Conclusion

A website can still operate, though it has shown sitemap or not. However, a web page has a clear and detailed sitemap will bring more benefit than ever for both website owners and users as well. With Mageplaza Sitemap integrated in SEO extension, your SEO will be more efficient and effective that results in traffic increase of your website then does revenue. 
